com.r3corda.core.crypto / SecureHash

# SecureHash

`sealed class SecureHash : OpaqueBytes`

### Types

SHA256 | `class SHA256 : SecureHash`

### Properties

signatureAlgorithmName | `abstract val signatureAlgorithmName: String`

### Inherited Properties

bits | `val bits: ByteArray`
size | `val size: Int`

### Functions

prefixChars | `fun prefixChars(prefixLen: Int = 6): <ERROR CLASS>`
toString | `open fun toString(): <ERROR CLASS>`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
open | `fun open(): ByteArrayInputStream` Returns a ByteArrayInputStream of the bytes

### Companion Object Functions

parse | `fun parse(str: String): <ERROR CLASS>`
randomSHA256 | `fun randomSHA256(): SHA256`
sha256 | `fun sha256(bits: ByteArray): SHA256` `fun sha256(str: String): <ERROR CLASS>`
sha256Twice | `fun sha256Twice(bits: ByteArray): SHA256`

### Extension Functions

deserialize | `fun <T : Any> OpaqueBytes.deserialize(kryo: <ERROR CLASS> = THREAD_LOCAL_KRYO.get()): T`
sha256 | `fun OpaqueBytes.sha256(): SHA256`

### Inheritors

SHA256 | `class SHA256 : SecureHash`